<script>
	export let color;
</script>

<span
	class="badge"
	class:blue={color === 'blue'}
	class:orange={color === 'orange'}
	class:blueGray={color === 'blueGray'}
	class:gray={color === 'gray'}
	class:lightBlue={color === 'lightBlue'}
	class:coolGray={color === 'coolGray'}
	class:cyan={color === 'cyan'}
	class:red={color === 'red'}
	class:emerald={color === 'emerald'}
>
	<slot />
</span>

<style lang="postcss">
	.badge {
		@apply inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium whitespace-nowrap;
	}

	.blue {
		@apply bg-blue-200 text-blue-900;
	}
	.orange {
		@apply bg-orange-200 text-orange-900;
	}
	.blueGray {
		@apply bg-blueGray-200 text-blueGray-900;
	}
	.gray {
		@apply bg-gray-200 text-gray-900;
	}
	.lightBlue {
		@apply bg-lightBlue-200 text-lightBlue-900;
	}
	.coolGray {
		@apply bg-coolGray-200 text-coolGray-900;
	}
	.cyan {
		@apply bg-cyan-200 text-cyan-900;
	}
	.red {
		@apply bg-red-200 text-red-900;
	}
	.emerald {
		@apply bg-emerald-200 text-emerald-900;
	}
</style>
